Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui.text
Class TextEditor.OvertypeCaret

    java.lang.Object
      java.awt.geom.RectangularShape
          java.awt.geom.Rectangle2D
              java.awt.Rectangle
                  javax.swing.text.DefaultCaret
                      groovy.ui.text.TextEditor.OvertypeCaret

    class TextEditor.OvertypeCaret
    extends DefaultCaret

Paint a horizontal line the width of a column and 1 pixel high

Field Summary

Fields inherited from class DefaultCaret
UPDATE_WHEN_ON_EDT, NEVER_UPDATE, ALWAYS_UPDATE, x, y, width, height, OUT_LEFT, OUT_TOP, OUT_RIGHT, OUT_BOTTOM

Fields inherited from class Rectangle
x, y, width, height, OUT_LEFT, OUT_TOP, OUT_RIGHT, OUT_BOTTOM

Fields inherited from class Rectangle2D
OUT_LEFT, OUT_TOP, OUT_RIGHT, OUT_BOTTOM

Constructor Summary
`TextEditor.OvertypeCaret()`

Method Summary
`protected void` | `damage(Rectangle r)`
`void` | `paint(Graphics g)`

Methods inherited from class DefaultCaret
equals, toString, getUpdatePolicy, setUpdatePolicy, install, isActive, getListeners, isVisible, paint, focusGained, focusLost, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, setVisible, addChangeListener, getChangeListeners, removeChangeListener, deinstall, getBlinkRate, getDot, getDotBias, getMagicCaretPosition, getMark, getMarkBias, isSelectionVisible, moveDot, moveDot, setBlinkRate, setDot, setDot, setMagicCaretPosition, setSelectionVisible, add, add, add, contains, contains, contains, contains, isEmpty, getLocation, getSize, setSize, setSize, resize, grow, intersects, intersection, union, setLocation, setLocation, translate, getBounds, getHeight, getWidth, getX, getY, inside, move, reshape, setBounds, setBounds, createIntersection, createUnion, getBounds2D, outcode, setRect, add, add, add, hashCode, contains, contains, intersects, union, intersect, outcode, setRect, getPathIterator, getPathIterator, intersectsLine, intersectsLine, setFrame, clone, contains, contains, intersects, getFrame, getMaxX, getMaxY, getMinX, getMinY, setFrame, setFrame, setFrameFromDiagonal, setFrameFromDiagonal, getCenterX, getCenterY, setFrameFromCenter, setFrameFromCenter, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class Rectangle
add, add, add, equals, toString, contains, contains, contains, contains, isEmpty, getLocation, getSize, setSize, setSize, resize, grow, intersects, intersection, union, setLocation, setLocation, translate, getBounds, getHeight, getWidth, getX, getY, inside, move, reshape, setBounds, setBounds, createIntersection, createUnion, getBounds2D, outcode, setRect, add, add, add, hashCode, contains, contains, intersects, union, intersect, outcode, setRect, getPathIterator, getPathIterator, intersectsLine, intersectsLine, setFrame, clone, contains, contains, intersects, getFrame, getMaxX, getMaxY, getMinX, getMinY, setFrame, setFrame, setFrameFromDiagonal, setFrameFromDiagonal, getCenterX, getCenterY, setFrameFromCenter, setFrameFromCenter, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class Rectangle2D
add, add, add, hashCode, equals, contains, contains, intersects, union, intersect, createIntersection, createUnion, getBounds2D, outcode, outcode, setRect, setRect, getPathIterator, getPathIterator, intersectsLine, intersectsLine, setFrame, clone, contains, contains, isEmpty, intersects, getBounds, getHeight, getWidth, getX, getY, getFrame, getMaxX, getMaxY, getMinX, getMinY, setFrame, setFrame, setFrameFromDiagonal, setFrameFromDiagonal, getCenterX, getCenterY, setFrameFromCenter, setFrameFromCenter, wait, wait, wait, getClass, toString, notify, notifyAll

Methods inherited from class RectangularShape
clone, contains, contains, isEmpty, intersects, getBounds, getHeight, getWidth, getX, getY, getFrame, getPathIterator, getMaxX, getMaxY, getMinX, getMinY, setFrame, setFrame, setFrame, setFrameFromDiagonal, setFrameFromDiagonal, getCenterX, getCenterY, setFrameFromCenter, setFrameFromCenter, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll, contains, contains, intersects, getBounds2D, getPathIterator

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### TextEditor.OvertypeCaret

    TextEditor.OvertypeCaret()

Method Detail

### damage

    protected void damage(Rectangle r)

### paint

    public void paint(Graphics g)

Copyright © 2003-2009 The Codehaus. All rights reserved.